# Contributing to PyCCAPT

Welcome to the PyCCAPT contribution guide! We appreciate your interest in making our project better. There are several
ways you can contribute to PyCCAPT's development.

## Types of Contributions

### Reporting Bugs

If you encounter any bugs or issues with PyCCAPT, please report them by opening
an [issue on GitHub](https://github.com/mmonajem/pyccapt/issues). Be sure to provide a detailed description of the
problem, steps to reproduce it, and any relevant information.

### Fixing Issues

Browse our GitHub issues to find bugs and enhancements that need attention. If you'd like to fix an issue, fork the
repository, make your changes, and submit a pull request. Make sure to reference the issue number in your pull request.

### Writing Documentation

Well-documented projects are easier to understand and use. If you're knowledgeable about certain features or have useful
tips, consider contributing to our documentation. Documentation files can be found in
the [`docs`](https://github.com/mmonajem/pyccapt/tree/main/docs) directory.

## Getting Started

Follow these steps to set up your local development environment:

1. Fork the [pyccapt repository](https://github.com/mmonajem/pyccapt) on GitHub.
2. Clone your forked repository locally:
   ```bash
   $ git clone https://github.com/YourUsername/pyccapt.git
   $ cd pyccapt
    ```

3. Install your local copy into a virtual environment:
   bash
    ```bash
    $ conda create -n apt_env python=3.9
    $ conda activate apt_env
    $ pip install -e .
    ```

4. Create a new branch for your development work:
    ```bash
    $ git checkout -b my-new-feature
    ```
5. Make your changes and commit them:
    ```bash
   $ git add .
   $ git commit -m "Detailed description of your changes."
   $ git push origin name-of-your-branch
    ```

6. Submit a Merge Request on GitHub.

Thank you for your contributions to PyCCAPT. Your efforts help improve the project for everyone!
I appreciate your patience, and I hope this properly formatted Markdown text meets your requirements.


